/* Grid */
:root {
  --grid-gutter: 2.5rem;
}

* { -webkit-box-sizing:border-box; -moz-box-sizing:border-box; box-sizing:border-box; }
*:before, *:after { -webkit-box-sizing:border-box; -moz-box-sizing:border-box; box-sizing:border-box; }
.grid-container { min-height:100%; padding-right:calc(var(--grid-gutter) * 0.5); padding-left:calc(var(--grid-gutter) * 0.5); }
.grid-container.edge-to-edge { padding-right:0; padding-left:0; overflow-x:hidden; }
.grid-container.edge-to-edge > .grid-row { margin-right:calc(var(--grid-gutter) * -0.5); margin-left:calc(var(--grid-gutter) * -0.5); }
[class*='col-'] { width:100%; padding:calc(var(--grid-gutter) * 0.5); }
.grid-container.flex-box > .grid-row { display:flex; flex-wrap:wrap; }
.grid-container.flex-box.center > .grid-row { justify-content:center; }

[class*='col-'] { position:relative; min-height:1px; }

[class*='col-xs-'] { float:left; }
.col-xs-12 { width:100%; }
.col-xs-11 { width:91.66666667%; }
.col-xs-10 { width:83.33333333%; }
.col-xs-9 { width:75%; }
.col-xs-8 { width:66.66666667%; }
.col-xs-7 { width:58.33333333%; }
.col-xs-6 { width:50%; }
.col-xs-5 { width:41.66666667%; }
.col-xs-4 { width:33.33333333%; }
.col-xs-3 { width:25%; }
.col-xs-2 { width:16.66666667%; }
.col-xs-1 { width:8.33333333%; }
.col-xs-pull-12 { right:100%; }
.col-xs-pull-11 { right:91.66666667%; }
.col-xs-pull-10 { right:83.33333333%; }
.col-xs-pull-9 { right:75%; }
.col-xs-pull-8 { right:66.66666667%; }
.col-xs-pull-7 { right:58.33333333%; }
.col-xs-pull-6 { right:50%; }
.col-xs-pull-5 { right:41.66666667%; }
.col-xs-pull-4 { right:33.33333333%; }
.col-xs-pull-3 { right:25%; }
.col-xs-pull-2 { right:16.66666667%; }
.col-xs-pull-1 { right:8.33333333%; }
.col-xs-pull-0 { right:auto; }
.col-xs-push-12 { left:100%; }
.col-xs-push-11 { left:91.66666667%; }
.col-xs-push-10 { left:83.33333333%; }
.col-xs-push-9 { left:75%; }
.col-xs-push-8 { left:66.66666667%; }
.col-xs-push-7 { left:58.33333333%; }
.col-xs-push-6 { left:50%; }
.col-xs-push-5 { left:41.66666667%; }
.col-xs-push-4 { left:33.33333333%; }
.col-xs-push-3 { left:25%; }
.col-xs-push-2 { left:16.66666667%; }
.col-xs-push-1 { left:8.33333333%; }
.col-xs-push-0 { left:auto; }
.col-xs-offset-12 { margin-left:100%; }
.col-xs-offset-11 { margin-left:91.66666667%; }
.col-xs-offset-10 { margin-left:83.33333333%; }
.col-xs-offset-9 { margin-left:75%; }
.col-xs-offset-8 { margin-left:66.66666667%; }
.col-xs-offset-7 { margin-left:58.33333333%; }
.col-xs-offset-6 { margin-left:50%; }
.col-xs-offset-5 { margin-left:41.66666667%; }
.col-xs-offset-4 { margin-left:33.33333333%; }
.col-xs-offset-3 { margin-left:25%; }
.col-xs-offset-2 { margin-left:16.66666667%; }
.col-xs-offset-1 { margin-left:8.33333333%; }
.col-xs-offset-0 { margin-left:0%; }

/* Grid Small screens */
@media (min-width:768px) {
.grid-container { padding-right:var(--grid-gutter); padding-left:var(--grid-gutter); }
.grid-container.edge-to-edge > .grid-row { margin-right:calc(var(--grid-gutter) * -1); margin-left:calc(var(--grid-gutter) * -1); }
[class*='col-'] { padding:var(--grid-gutter); }

[class*='col-sm-'] { float:left; }
.col-sm-12 { width:100%; }
.col-sm-11 { width:91.66666667%; }
.col-sm-10 { width:83.33333333%; }
.col-sm-9 { width:75%; }
.col-sm-8 { width:66.66666667%; }
.col-sm-7 { width:58.33333333%; }
.col-sm-6 { width:50%; }
.col-sm-5 { width:41.66666667%; }
.col-sm-4 { width:33.33333333%; }
.col-sm-3 { width:25%; }
.col-sm-2 { width:16.66666667%; }
.col-sm-1 { width:8.33333333%; }
.col-sm-pull-12 { right:100%; }
.col-sm-pull-11 { right:91.66666667%; }
.col-sm-pull-10 { right:83.33333333%; }
.col-sm-pull-9 { right:75%; }
.col-sm-pull-8 { right:66.66666667%; }
.col-sm-pull-7 { right:58.33333333%; }
.col-sm-pull-6 { right:50%; }
.col-sm-pull-5 { right:41.66666667%; }
.col-sm-pull-4 { right:33.33333333%; }
.col-sm-pull-3 { right:25%; }
.col-sm-pull-2 { right:16.66666667%; }
.col-sm-pull-1 { right:8.33333333%; }
.col-sm-pull-0 { right:auto; }
.col-sm-push-12 { left:100%; }
.col-sm-push-11 { left:91.66666667%; }
.col-sm-push-10 { left:83.33333333%; }
.col-sm-push-9 { left:75%; }
.col-sm-push-8 { left:66.66666667%; }
.col-sm-push-7 { left:58.33333333%; }
.col-sm-push-6 { left:50%; }
.col-sm-push-5 { left:41.66666667%; }
.col-sm-push-4 { left:33.33333333%; }
.col-sm-push-3 { left:25%; }
.col-sm-push-2 { left:16.66666667%; }
.col-sm-push-1 { left:8.33333333%; }
.col-sm-push-0 { left:auto; }
.col-sm-offset-12 { margin-left:100%; }
.col-sm-offset-11 { margin-left:91.66666667%; }
.col-sm-offset-10 { margin-left:83.33333333%; }
.col-sm-offset-9 { margin-left:75%; }
.col-sm-offset-8 { margin-left:66.66666667%; }
.col-sm-offset-7 { margin-left:58.33333333%; }
.col-sm-offset-6 { margin-left:50%; }
.col-sm-offset-5 { margin-left:41.66666667%; }
.col-sm-offset-4 { margin-left:33.33333333%; }
.col-sm-offset-3 { margin-left:25%; }
.col-sm-offset-2 { margin-left:16.66666667%; }
.col-sm-offset-1 { margin-left:8.33333333%; }
.col-sm-offset-0 { margin-left:0%; } 
}

/* Grid Medium screens */
@media (min-width:992px) { 
[class*='col-md-'] { float:left; }
.col-md-12 { width:100%; }
.col-md-11 { width:91.66666667%; }
.col-md-10 { width:83.33333333%; }
.col-md-9 { width:75%; }
.col-md-8 { width:66.66666667%; }
.col-md-7 { width:58.33333333%; }
.col-md-6 { width:50%; }
.col-md-5 { width:41.66666667%; }
.col-md-4 { width:33.33333333%; }
.col-md-3 { width:25%; }
.col-md-2 { width:16.66666667%; }
.col-md-1 { width:8.33333333%; }
.col-md-pull-12 { right:100%; }
.col-md-pull-11 { right:91.66666667%; }
.col-md-pull-10 { right:83.33333333%; }
.col-md-pull-9 { right:75%; }
.col-md-pull-8 { right:66.66666667%; }
.col-md-pull-7 { right:58.33333333%; }
.col-md-pull-6 { right:50%; }
.col-md-pull-5 { right:41.66666667%; }
.col-md-pull-4 { right:33.33333333%; }
.col-md-pull-3 { right:25%; }
.col-md-pull-2 { right:16.66666667%; }
.col-md-pull-1 { right:8.33333333%; }
.col-md-pull-0 { right:auto; }
.col-md-push-12 { left:100%; }
.col-md-push-11 { left:91.66666667%; }
.col-md-push-10 { left:83.33333333%; }
.col-md-push-9 { left:75%; }
.col-md-push-8 { left:66.66666667%; }
.col-md-push-7 { left:58.33333333%; }
.col-md-push-6 { left:50%; }
.col-md-push-5 { left:41.66666667%; }
.col-md-push-4 { left:33.33333333%; }
.col-md-push-3 { left:25%; }
.col-md-push-2 { left:16.66666667%; }
.col-md-push-1 { left:8.33333333%; }
.col-md-push-0 { left:auto; }
.col-md-offset-12 { margin-left:100%; }
.col-md-offset-11 { margin-left:91.66666667%; }
.col-md-offset-10 { margin-left:83.33333333%; }
.col-md-offset-9 { margin-left:75%; }
.col-md-offset-8 { margin-left:66.66666667%; }
.col-md-offset-7 { margin-left:58.33333333%; }
.col-md-offset-6 { margin-left:50%; }
.col-md-offset-5 { margin-left:41.66666667%; }
.col-md-offset-4 { margin-left:33.33333333%; }
.col-md-offset-3 { margin-left:25%; }
.col-md-offset-2 { margin-left:16.66666667%; }
.col-md-offset-1 { margin-left:8.33333333%; }
.col-md-offset-0 { margin-left:0%; }
}

/* Grid Large screens */
@media (min-width:1200px) { 
[class*='col-lg-'] { float:left; }
.col-lg-12 { width:100%; }
.col-lg-11 { width:91.66666667%; }
.col-lg-10 { width:83.33333333%; }
.col-lg-9 { width:75%; }
.col-lg-8 { width:66.66666667%; }
.col-lg-7 { width:58.33333333%; }
.col-lg-6 { width:50%; }
.col-lg-5 { width:41.66666667%; }
.col-lg-4 { width:33.33333333%; }
.col-lg-3 { width:25%; }
.col-lg-2 { width:16.66666667%; }
.col-lg-1 { width:8.33333333%; }
.col-lg-pull-12 { right:100%; }
.col-lg-pull-11 { right:91.66666667%; }
.col-lg-pull-10 { right:83.33333333%; }
.col-lg-pull-9 { right:75%; }
.col-lg-pull-8 { right:66.66666667%; }
.col-lg-pull-7 { right:58.33333333%; }
.col-lg-pull-6 { right:50%; }
.col-lg-pull-5 { right:41.66666667%; }
.col-lg-pull-4 { right:33.33333333%; }
.col-lg-pull-3 { right:25%; }
.col-lg-pull-2 { right:16.66666667%; }
.col-lg-pull-1 { right:8.33333333%; }
.col-lg-pull-0 { right:auto; }
.col-lg-push-12 { left:100%; }
.col-lg-push-11 { left:91.66666667%; }
.col-lg-push-10 { left:83.33333333%; }
.col-lg-push-9 { left:75%; }
.col-lg-push-8 { left:66.66666667%; }
.col-lg-push-7 { left:58.33333333%; }
.col-lg-push-6 { left:50%; }
.col-lg-push-5 { left:41.66666667%; }
.col-lg-push-4 { left:33.33333333%; }
.col-lg-push-3 { left:25%; }
.col-lg-push-2 { left:16.66666667%; }
.col-lg-push-1 { left:8.33333333%; }
.col-lg-push-0 { left:auto; }
.col-lg-offset-12 { margin-left:100%; }
.col-lg-offset-11 { margin-left:91.66666667%; }
.col-lg-offset-10 { margin-left:83.33333333%; }
.col-lg-offset-9 { margin-left:75%; }
.col-lg-offset-8 { margin-left:66.66666667%; }
.col-lg-offset-7 { margin-left:58.33333333%; }
.col-lg-offset-6 { margin-left:50%; }
.col-lg-offset-5 { margin-left:41.66666667%; }
.col-lg-offset-4 { margin-left:33.33333333%; }
.col-lg-offset-3 { margin-left:25%; }
.col-lg-offset-2 { margin-left:16.66666667%; }
.col-lg-offset-1 { margin-left:8.33333333%; }
.col-lg-offset-0 { margin-left:0%; }
}

/* Grid Xtra Large screens */
@media (min-width:1600px) { 
[class*='col-xl-'] { float:left; }
.col-xl-12 { width:100%; }
.col-xl-11 { width:91.66666667%; }
.col-xl-10 { width:83.33333333%; }
.col-xl-9 { width:75%; }
.col-xl-8 { width:66.66666667%; }
.col-xl-7 { width:58.33333333%; }
.col-xl-6 { width:50%; }
.col-xl-5 { width:41.66666667%; }
.col-xl-4 { width:33.33333333%; }
.col-xl-3 { width:25%; }
.col-xl-2 { width:16.66666667%; }
.col-xl-1 { width:8.33333333%; }
.col-xl-pull-12 { right:100%; }
.col-xl-pull-11 { right:91.66666667%; }
.col-xl-pull-10 { right:83.33333333%; }
.col-xl-pull-9 { right:75%; }
.col-xl-pull-8 { right:66.66666667%; }
.col-xl-pull-7 { right:58.33333333%; }
.col-xl-pull-6 { right:50%; }
.col-xl-pull-5 { right:41.66666667%; }
.col-xl-pull-4 { right:33.33333333%; }
.col-xl-pull-3 { right:25%; }
.col-xl-pull-2 { right:16.66666667%; }
.col-xl-pull-1 { right:8.33333333%; }
.col-xl-pull-0 { right:auto; }
.col-xl-push-12 { left:100%; }
.col-xlg-push-11 { left:91.66666667%; }
.col-xl-push-10 { left:83.33333333%; }
.col-xl-push-9 { left:75%; }
.col-xl-push-8 { left:66.66666667%; }
.col-xl-push-7 { left:58.33333333%; }
.col-xl-push-6 { left:50%; }
.col-xl-push-5 { left:41.66666667%; }
.col-xl-push-4 { left:33.33333333%; }
.col-xl-push-3 { left:25%; }
.col-xl-push-2 { left:16.66666667%; }
.col-xl-push-1 { left:8.33333333%; }
.col-xl-push-0 { left:auto; }
.col-xl-offset-12 { margin-left:100%; }
.col-xl-offset-11 { margin-left:91.66666667%; }
.col-xl-offset-10 { margin-left:83.33333333%; }
.col-xl-offset-9 { margin-left:75%; }
.col-xl-offset-8 { margin-left:66.66666667%; }
.col-xl-offset-7 { margin-left:58.33333333%; }
.col-xl-offset-6 { margin-left:50%; }
.col-xl-offset-5 { margin-left:41.66666667%; }
.col-xl-offset-4 { margin-left:33.33333333%; }
.col-xl-offset-3 { margin-left:25%; }
.col-xl-offset-2 { margin-left:16.66666667%; }
.col-xl-offset-1 { margin-left:8.33333333%; }
.col-xl-offset-0 { margin-left:0%; }
}

.grid-container.no-gutter { padding:0; }
.grid-container.no-gutter > .grid-row { margin-right:0; margin-left:0; }
.grid-container.no-gutter > .grid-row > [class*='col-'] { padding:0; }
.grid-container.no-gutter-t > .grid-row > [class*='col-'] { padding-top:0; }
.grid-container.no-gutter-r > .grid-row { margin-right:0; }
.grid-container.no-gutter-r > .grid-row > [class*='col-'] { padding-right:0; }
.grid-container.no-gutter-b > .grid-row > [class*='col-'] { padding-bottom:0; }
.grid-container.no-gutter-l > .grid-row { margin-left:0; }
.grid-container.no-gutter-l > .grid-row > [class*='col-'] { padding-left:0; }
.grid-container.no-gutter-x > .grid-row > [class*='col-'] { padding-right:0; padding-left:0; }
.grid-container.no-gutter-x > .grid-row { margin-right:0; margin-left:0; }
.grid-container.no-gutter-y > .grid-row > [class*='col-'] { padding-top:0; padding-bottom:0; }
.col-pull-right { float:right !important; }
.col-pull-left { float:left !important; }
.grid-container:before,
.grid-container:after,
.grid-row:before,
.grid-row:after { content:" "; display:table; }
.grid-container:after,
.grid-row:after { clear:both; }